# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies
#
# If you believe there's an error in this file please file an
# issue against the rust-lang/cargo repository. If you're
# editing this file be aware that the upstream Cargo.toml
# will likely look very different (and much more reasonable)

[package]
edition = "2018"
name = "penrose_proc"
version = "0.1.0"
authors = ["IDAM <innes.andersonmorrison@gmail.com>"]
description = "proc-macros for the Penrose tiling window manager library"
documentation = "https://docs.rs/penrose_proc"
readme = "README.md"
keywords = ["windowmanager", "window", "manager", "x11", "procmacro"]
license = "MIT"
repository = "https://github.com/sminez/penrose"

[lib]
proc-macro = true
[dependencies.proc-macro2]
version = "1.0"

[dependencies.quote]
version = "1.0"

[dependencies.syn]
version = "1.0"
